//Site-01 shader file created by TechBoy 24.01.2024
//Sources: Return to Castle Wolfenstein, Wolfenstein: Enemy Territory
//Block keys: DECALSx DETAILSx COLORSx PROPSx PICTOGRAMSx LIQUIDSx PICSx LIGHTSx

//DECALSx
textures/site1/letter_a
{
	polygonOffset
	entityMergable
	{
		map textures/site1/letter_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/letter_b
{
	polygonOffset
	entityMergable
	{
		map textures/site1/letter_b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/letter_c
{
	polygonOffset
	entityMergable
	{
		map textures/site1/letter_c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/letter_d
{
	polygonOffset
	entityMergable
	{
		map textures/site1/letter_d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/swastika
{
	polygonOffset
	entityMergable
	{
		map textures/site1/swastika.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/as
{
	polygonOffset
	entityMergable
	{
		map textures/site1/as.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/ob
{
	polygonOffset
	entityMergable
	{
		map textures/site1/ob.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/ld
{
	polygonOffset
	entityMergable
	{
		map textures/site1/ld.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/site1/desc
{
	polygonOffset
	entityMergable
	{
		map textures/site1/desc.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

//DETAILSx
textures/site1/bars
{
        qer_editorimage textures/site1/scale_bars.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
}

textures/site1/mm_coll_ekv
{
        qer_editorimage textures/site1/scale_mm_coll_ekv.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
}

textures/site1/ph
{
        qer_editorimage textures/site1/scale_ph_014.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
}

//COLORSx
textures/site1/black
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/cyan
{
	q3map_surfacelight 5000
	surfaceparm gravelsteps
	implicitMap -
}

//PROPSx
textures/site1/black_yellow_trim
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/board_sci_2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/site1/board_sci_3
{
	surfaceparm woodsteps
	implicitMap -
}

textures/site1/box4x_side
{
	surfaceparm woodsteps
	implicitMap -
}

textures/site1/box4x_top
{
	surfaceparm woodsteps
	implicitMap -
}

textures/site1/floor_tiles
{
	surfaceparm gravelsteps
	implicitMap -
}

//PICTOGRAMSx
textures/site1/pic_acid
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_bio
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_elektro
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_expl
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_feuer
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_heal
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_minen
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/pic_nfap
{
	surfaceparm metalsteps
	implicitMap -
}

textures/site1/wasser
{
	surfaceparm metalsteps
	implicitMap -
}

//LIQUIDSx
textures/site1/acid

		
	{
		qer_editorimage textures/site1/water_dirt1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
	{
		map textures/site1/water_dirt1.tga
		blendFunc blend
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/site1/water_dirt2.tga
		blendFunc blend
		rgbgen identity
		tcmod scale -1 -1
		tcmod scroll .025 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//PICSx
textures/site1/1att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/2att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/3att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/4att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/5att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/6att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/7att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/8att
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/1def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/2def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/3def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/4def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/5def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/6def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/7def
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/1both
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/2both
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/3both
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/4both
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/site1/5both
{
	surfaceparm gravelsteps
	implicitMap -
}

//LIGHTSx
textures/decals/light_m01b
{
	qer_editorimage textures/lights/light_m01b.tga
	q3map_lightimage textures/lightimage/blue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 5000
	
	polygonOffset
	surfaceparm nomarks
	surfaceparm pointlight
	{
		map textures/lights/light_m01b.tga
		rgbGen vertex
	}
	{
		map textures/lights/light_m01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/decals/light_m32
{
	qer_editorimage textures/lights/light_m32.tga
	q3map_lightrgb 1.000000 0.866667 0.733333
	q3map_surfacelight 10000
	
	polygonOffset
	surfaceparm nomarks
	surfaceparm pointlight
	{
		map textures/lights/light_m32.tga
		rgbGen vertex
	}
	{
		map textures/lights/light_m32.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}