//Terrain shader for Operation Azure Sorrow map

textures/test3_smoother/terrain_0
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}

textures/test3_smoother/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}

textures/test3_smoother/terrain_2
{
   	surfaceparm landmine
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/dirt3.tga
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}

textures/test3_smoother/terrain_3
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}

textures/test3_smoother/terrain_4
{
   	surfaceparm landmine
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}

textures/test3_smoother/terrain_0to1
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_0to2
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_0to3
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_0to4
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_1to3
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_1to4
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_2to3
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/dirt3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_2to4
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/dirt3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain_3to4
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
	}
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.075 0.075
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/test3_smoother/terrain.vertex
{
   	surfaceparm landmine
	surfaceparm grasssteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/temperate_sd/grass_path1.tga
		rgbGen vertex
		tcmod scale 0.075 0.075
	}
}